#ifndef S_SCTL_SM1_PINDEF_H 
#define S_SCTL_SM1_PINDEF_H 

/* 
 * v 1.11  corrected LVDS_MOSI  from B1 to E1
 * v 1.12  corrected for LDIR values 
 * v 1.13  corrected for RDIR values 
 * v 1.15  added call active levels 

 * (C) Wim Beaumont Univeristeit Antwerpen  2014 , 2015

 */ 


#define PINDEF_VER "1.15"

#define MOSI            PTE1
#define MISO            PTB8
#define SCLK            PTD6 
#define TEMP_CSN        PTD7
#define TEMP_CABLE_CSN1 PTC8
#define TEMP_CABLE_CSN2 PTE3
#define DAC_DCEN        PTE0
#define DAC_RSTN        PTC13
// SPI 1 bi
#define ADC_STIO        PTB9
#define STIO_MO         PTE5
#define DIRECTION       PTB10
#define ADC1_CSN        PTB11
#define ADC2_CSN        PTE2

// SPI 2 
#define MOSI_2          PTE23
#define MISO_2          PTA16
#define SCLK_2          PTE30
#define TEMP_2_CSN      PTE29
#define TEMP_2_CABLE_CSN1 PTC4
#define TEMP_2_CABLE_CSN2 PTC3
#define DAC_2_DCEN      PTE22
#define DAC_2_RSTN      PTC5
// SPI 2 bi
#define ADC_2_STIO      PTC7
#define STIO2_MO        PTC0
#define DIRECTION2      PTC6
#define ADC1_2_CSN      PTA17
#define ADC2_2_CSN      PTD4

// FLASH 
#define F_SCLK          PTD1
#define F_MISO          PTD3
#define F_MOSI          PTD2
#define F_CS            PTD0
#define N_FWP           PTC17
#define N_HOLD          PTC16

// ID 
#define AD0             PTC12
#define AD1             PTD5
#define AD2             PTA13
#define AD3             PTC9
#define AD4             PTE31
//CAL
#define CAL_TRIG_2AND4  PTC11
#define CAL_TRIG_1AND3  PTC10
#define GEN_EXT_CAL     PTE4
#define SEL_CAL_INT     PTA5
#define SEL_2_CAL_INT   PTA12
#define SEL_CAL_EXT     PTA4


// analogue
#define ADC1            PTB0
#define ADC2            PTB1


// direction levels
#define LDIR_OUT 1
#define LDIR_IN 0

#define RDIR_OUT 1
#define RDIR_IN 0

#define CAL_ACTIVE  0
#define CAL_DEACTIVE 1


#define LEDRED PTB18
#define LEDGREEN PTB19
#define LEDBLUE PTD1

#endif 